This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969618 - Intermittent failure to initialize uvcvideo monitor webcam
Intermittent failure to initialize uvcvideo monitor webcam
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 21:01 EDT by Michael
Modified: 2013-09-02 09:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 09:52:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2013-05-31 21:01:15 EDT
Description of problem:

Intermittently, an OmniVision monitor webcam on a Dell monitor fails to initialize. Unscientifically, it seems to successfully initialize about 1/4 of the time and fail otherwise.

Having not used the camera in a few months, I cannot identify when the issue began (log rotation has eliminated when it had worked reliably). To the best of my knowledge, it did work reliably up to at least two months ago on Fedora 18 and several previous Fedora releases.

The device is detected in every instance, but often fails to initialize with:

   uvcvideo: Failed to query (129) UVC probe control : -32 (exp. 26). 

dmesg output for both a working and failed scenario are below.


Version-Release number of selected component (if applicable):
Kernel 3.9.4-200.fc18.x86_64

How reproducible:
Intermittent - webcam is successfully initialized approximately 1/4 of the time.

Steps to Reproduce:
1. Plug in or boot with an attached OmniVision monitor webcam
2. Check dmesg output or attempt to use a video application such as Cheese or Camorama
3.

Actual results:
Video device fails to initialize and is not available for use at /dev/videoX

Expected results:
Video device should initialize and register as /dev/videoX

Additional info:

A similar recent bug report in Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1168430



/var/log/messages from a *failed* initialization:
--------------------------
$ sudo egrep -i  '(video|cam)' /var/log/messages
May 29 20:51:22 galactic-ac kernel: [    3.399405] usb 1-3.1: Product: Monitor Webcam
May 29 20:51:22 galactic-ac kernel: [    3.747422] Linux video capture interface: v2.00
May 29 20:51:22 galactic-ac kernel: [    3.779896] uvcvideo: Found UVC 1.00 device Monitor Webcam (05a9:2649)
May 29 20:51:22 galactic-ac kernel: [    3.780667] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
May 29 20:51:22 galactic-ac kernel: [    3.780973] uvcvideo: Failed to query (129) UVC probe control : -32 (exp. 26).
May 29 20:51:22 galactic-ac kernel: [    3.780983] uvcvideo: Failed to initialize the device (-5).
May 29 20:51:22 galactic-ac kernel: [    3.781178] usbcore: registered new interface driver uvcvideo
May 29 20:51:22 galactic-ac kernel: [    3.781181] USB Video Class driver (1.1.1)


dmesg output fomr a *successful* initialization:
------------------------------
$ dmesg |egrep -i '(video|cam)'
[    1.311725] pci 0000:01:05.0: Boot video device
[    3.399890] usb 1-3.1: Product: Monitor Webcam
[    3.786399] Linux video capture interface: v2.00
[    3.797820] uvcvideo: Found UVC 1.00 device Monitor Webcam (05a9:2649)
[    3.801544] uvcvideo: UVC non compliance - GET_DEF(PROBE) not supported. Enabling workaround.
[    3.803257] input: Monitor Webcam as /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3.1/1-3.1:1.0/input/input7
[    3.803432] usbcore: registered new interface driver uvcvideo
[    3.803437] USB Video Class driver (1.1.1)
Comment 1 Michael 2013-05-31 21:03:21 EDT
I'll add although it is mostly in the dmesg output, the complete device name & USB ID as listed in the uvcvideo supported devices list is:

05a9:2649 OmniVision Monitor Webcam (Dell SP2309W)
Comment 2 Michael 2013-09-02 09:11:31 EDT
This issue seems to have gone away with 3.10.9-200.fc19.x86_64.  The same uvcvideo device initializes reliably.
Comment 3 Josh Boyer 2013-09-02 09:52:25 EDT
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.